# aastra office edial klump
# 2016 foo.li systeme + software

$packageName    = 'aastra-office-edial'
$version        = '2.0.8'
$fileType       = 'msi'
$app            = Get-WmiObject -Class Win32_Product | Where-Object {$_.Name -match 'Office eDial'}
$url            = '\\unxfsv001\software\nonfree\a\aastra\Office eDial.msi'
$url64          = $url
$silentArgs     = '/qb /norestart'
$validExitCodes	= @(0,3010)

try {
    if ($app -and ([version]$app.Version -ge [version]$version)) {
        Write-Output $(
        'eDial ' + $version + ' or higher is already installed. ' +
        'No need to download and install again.'
        )
    } else {
        if (!(Test-Path $url)) {
            Write-Warning 'this package has to be installed in the internal network'
            throw 'no access to installer'
        } else {
            Write-Output "Setup is starting..."
            Install-ChocolateyPackage $packageName $fileType $silentArgs $url -validExitCodes $validExitCodes
        }
    }
} catch {
    throw $_.Exception
}